Delete Memory
curl --request DELETE \
--url https://api.memoram.app/api/v1/memory-blobs/{blobId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.memoram.app/api/v1/memory-blobs/{blobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.memoram.app/api/v1/memory-blobs/{blobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Memory Management
Delete Memory
Permanently delete a specific memory blob. Requires the user’s ID.
DELETE
/
memory-blobs
/
{blobId}
Delete Memory
Permanently delete a specific memory blob. Requires the user’s ID.
This operation is irreversible.
Authorization
RequiresBearer token authentication using your Developer JWT.Authorizations
JWT token obtained via /auth/token endpoint.
Path Parameters
The unique ID of the memory blob to delete.
Query Parameters
The unique ID of the user who owns the memory blob.
Response
Memory blob deleted successfully.
Example:
true